#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Template-batch python-fu pour Gimp 2.6
# Copyright Raymond Ostertag 2007-2009
# Licence GPL

# Version 2.1
# - ported to gimp-2.6, menu entry changed to Files/Create
# Version 2.0
# - use gettext 
# - use glob + unicode
# - moved from PF_FILE to PF_DIRNAME 
# Version 1.0
# - initial release

# Installation : put the template-batch.py file in your $HOME/.gimp-2.n/plug-ins.
# On Linux and Mac OSX the file must be executable.
# Documentation : http://www.gimp.org/docs/python/index.html

from gimpfu import *
import os, glob

# i18n
#
import gettext
locale_directory = gimp.locale_directory
gettext.install( "gimp20-template" , locale_directory, unicode=True )

#
Template_batch_help = _("Framework for a batch work.")                                
Template_batch_description = _("Python-fu template for Gimp 2.6.")+" "+Template_batch_help

# main
#                                         
def process_files( 
  filepathnames ): 
  #write here the batch process
  pdb.gimp_message( _("The selected directory has %s files to handle") %(str( len( filepathnames ))));

def python_fu_template_batch( 
  dirname, 
  ext ):
  if os.path.exists( u''+dirname ):
    #
    globpattern = u''+dirname + os.sep + '*.' + ext
    filepathnames = glob.glob( globpattern ) # return complete path name of files
    #
    if filepathnames:
      #Start of process
      process_files( filepathnames );
      # End of process         
    else:
      pdb.gimp_message( _("%s don't have files to handle") %(dirname ))      
  else:
    pdb.gimp_message( _("%s don't exist") %(dirname) )

register(
  "python-fu-template-batch",
  Template_batch_description,
  Template_batch_help,
  "Raymond Ostertag",
  "GPL License",
  "2007-2009",
  _("Template-batch"),
  "",
  [
     (PF_DIRNAME, "directory", _("Directory"), os.getcwd() ),
     (PF_STRING, "ext", _("File extension"), "jpg" ),
  ],
  [],
  python_fu_template_batch,
  menu="<Image>/File/Create/Python-Fu",
  domain=("gimp20-template", locale_directory)   
  )

main()
