#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Template-parameters python-fu pour Gimp 2.6
# Copyright Raymond Ostertag 2007-2009
# Licence GPL

# Version 1.1
# - ported to gimp-2.6, menu entry changed to Files/Create
# - PF_PALETTE temporarely removed, I can not make it work
# Version 1.0
# - initial release

# Installation : put the template-parameters.py file in your $HOME/.gimp-2.n/plug-ins.
# On Linux and Mac OSX the file must be executable.
# Documentation : http://www.gimp.org/docs/python/index.html

from gimpfu import *

# i18n
#
import gettext
locale_directory = gimp.locale_directory
gettext.install( "gimp20-template" , locale_directory, unicode=True )

#         
Template_parameters_help = _("Show all parameters in one dialog box")                                
Template_parameters_description = _("Python-fu template for Gimp 2.6.")+" "+Template_parameters_help

def python_fu_template_parameters( 
  pf_int, pf_float, pf_string, pf_text, pf_toggle, pf_slider, pf_spinner, pf_radio,
  pf_file, pf_filename, pf_dirname,
  pf_image, pf_layer, pf_drawable, pf_channel, pf_region, pf_color, pf_font,
  pf_vectors, pf_brush, pf_pattern, pf_gradient
#  pf_palette
  ):
  pass

register(
  "python-fu-template-parameters",
  Template_parameters_description,
  Template_parameters_help,
  "Raymond Ostertag",
  "GPL License",
  "2007-2009",
  _("Template-parameters"),
  "",
  [
    (PF_INT, "pf_int", _("Integer"), 100), #int
    (PF_FLOAT, "pf_float", _("Float"), 1.0), #float   
    (PF_STRING, "pf_string", _("String"), "string"), #str   
    (PF_TEXT, "pf_text", _("Text"), "text"), #str
    (PF_TOGGLE, "pf_toggle", _("Yes or No"), True), #bool
    (PF_SLIDER, "pf_slider", _("Slider"), 0, (-100,100,1)), #float
    (PF_SPINNER, "pf_spinner", _("Spinner"), 0, (-100,100,1)), #int
    (PF_RADIO, "pf_radio", _("Radio buttons"), "gif", (("GIF","gif"), ("JPEG","jpg"), ("PNG","png"))), #str
    (PF_FILE, "pf_file", _("File"), ""), #str
    (PF_FILENAME, "pf_filename", _("File name"), ""), #str
    (PF_DIRNAME, "pf_dirname", _("Directory name"), ""), #str
    (PF_IMAGE, "pf_image", _("Image"), None), #gimp.Image
    (PF_LAYER, "pf_layer", _("Layer"), None), #gimp.Layer    
    (PF_DRAWABLE, "pf_drawable", _("Drawable"), None), #gimp.Drawable
    (PF_CHANNEL, "pf_channel", _("Channel"), None), #gimp.Channel
    (PF_REGION, "pf_region",_("Region"), 100), #int
    (PF_COLOR, "pf_color", _("Color"), (100,100,100)), #gimpcolor.RGB
    (PF_FONT, "pf_font", _("Font"), ""), #str     
    (PF_VECTORS, "pf_vectors", _("Path"), None), #gimp.Vectors
    (PF_BRUSH, "pf_brush", _("Brush"), ""), #str
    (PF_PATTERN, "pf_pattern", _("Pattern"), ""), #str
    (PF_GRADIENT, "pf_gradient", _("Gradient"), ""), #str
    (PF_PALETTE, "palette", _("Palette"), ""), #str need Gimp-2.6.4 or higher see bug 562459
  ],
  [],
  python_fu_template_parameters,
  menu="<Image>/File/Create/Python-Fu",
  domain=("gimp20-template", locale_directory)  
  )

main()
